Skip to content
GitHub Get Started
HTTP API

Fetch process logs.

GET
/v1/processes/{id}/logs

Returns buffered log entries for a process. Supports filtering by stream type, tail count, and sequence-based resumption. When follow=true, returns an SSE stream that replays buffered entries then streams live output.

id
required
string

Process ID

stream
string
Allowed values: stdout stderr combined pty

Stdout|stderr|combined|pty

tail
integer
nullable

Tail N entries

follow
boolean
nullable

Follow via SSE

since
integer format: int64
nullable

Only entries with sequence greater than this

Process logs

object
entries
required
Array<object>
object
data
required
string
encoding
required
string
sequence
required
integer format: int64
stream
required
string
Allowed values: stdout stderr combined pty
timestampMs
required
integer format: int64
processId
required
string
stream
required
string
Allowed values: stdout stderr combined pty

Unknown process

object
detail
string
nullable
instance
string
nullable
status
required
integer format: int32
title
required
string
type
required
string
key
additional properties

Process API unsupported on this platform

object
detail
string
nullable
instance
string
nullable
status
required
integer format: int32
title
required
string
type
required
string
key
additional properties